UNITD(8)

NAME
unitd - runs the NGINX Unit daemon

SYNOPSIS
unitd [- -no-daemon] [- -control socket] [- -group name] [- -user name] [- -log file] [- -modules directory] [- -pid file] [- -state directory]
unitd [-h | - -help | -v | - -version]

DESCRIPTION
NGINX Unit is a polyglot app server, a reverse proxy, and a static file server for UNIX-like systems. It was built by nginx(8) team members from scratch to be highly efficient and fully configurable at runtime.

OPTIONS

-h, - -help
    Displays a summary of Unit's command-line options and their compile-time defaults.

-v, - -version
    Displays Unit's version and the ./configure settings it was built with.

- -no-daemon
    Runs Unit in non-daemon mode.

- -control socket
    Overrides the control API's socket address in IPv4, IPv6, or UNIX-domain format.

- -group name, - -user name
    Override group name and user name used to run Unit's non-privileged processes.

- -log file
    Overrides the pathname for Unit's log.

- -modules directory
    Overrides the directory path for Unit's language modules (*.unit.so) files.

- -pid file
    Overrides the pathname for the PID file of Unit's main process.

- -state directory
    Overrides the directory path for Unit's state storage.

EXIT STATUS
Exit status is 0 on success, or 1 if the daemon encounters an error.

FILES

%%PID_PATH%%
    The PID file of Unit's main process.

%%ERROR_LOG_PATH%%
    A general-purpose log for diagnostics and troubleshooting.

SOCKETS

%%SOCKET_PATH%%
    The socket address of Unit's control API.

AUTHORS
(C) 2017-2021, NGINX, Inc.

SEE ALSO

Website: https://unit.nginx.org

User mailing list: https://mailman.nginx.org/mailman/listinfo/unit

GitHub: https://github.com/nginx/unit